package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class DepartmentTest {

    static Department myDep;
    static Student s1;
    static Course myCourse;
    static Professor prof;

    @BeforeAll
    public static void createDepartment(){

        myDep = new Department("ce");
        s1 = new Student("Ali","1234","ce",myDep);
        myCourse = new Course("123","az",myDep,prof,123);
        prof = new Professor(myDep, "ali");
        myDep.addCourse(myCourse);
        myDep.addProfessor(prof);
        myDep.addStudent(s1);
    }

    @Test
    public void check(){

        assertEquals("ce",myDep.getName());
        assertEquals(myCourse,myDep.getCourses().get(0));
        assertEquals(prof,myDep.getProfessors().get(0));
        assertEquals(s1,myDep.getStudents().get(0));
        myDep.removeCourse(myCourse);
        myDep.removeProfessor(prof);
        myDep.removeStudent(s1);
        assertNotNull(myDep.getCourses());
        assertNotNull(myDep.getStudents());
        assertNotNull(myDep.getProfessors());

    }

}