package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ProfessorTest {

    static Department myDep;
    static Student s1;
    static Course myCourse;
    static Professor prof;

    @BeforeAll
    public static void createProfesor(){

        myDep = new Department("ce");
        s1 = new Student("Ali","1234","ce",myDep);
        myCourse = new Course("123","az",myDep,prof,123);
        prof = new Professor(myDep, "ali");
        myDep.addCourse(myCourse);
        myDep.addProfessor(prof);
        myDep.addStudent(s1);
    }

    @Test
    public void testProfesor(){

        assertEquals("ali",prof.getName());
        assertEquals(myDep,prof.getDepartment());

    }

}